> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesfinity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Snoozed Contact

> Update a snoozed contact

Updates a snoozed contact's information, including extending or modifying the snooze period.

### Path Parameters

* **id** (*required*, string): Snoozed contact ID

### Request Body

All fields are optional. Only provided fields will be updated.

* **linkedin\_username** (*optional*, string): LinkedIn username
* **external\_contact\_id** (*optional*, string): External CRM contact ID
* **email** (*optional*, string): Email address
* **phone\_number** (*optional*, string): Phone number
* **snooze\_until** (*optional*, date): New snooze expiration date (ISO 8601 format)
  * Example: `2024-06-15T00:00:00.000Z`

### Response

Returns the updated snoozed contact, or 404 if not found.


## OpenAPI

````yaml PUT /v1/snoozed-contacts/{id}
openapi: 3.0.1
info:
  title: Salesfinity API
  description: API documentation for Salesfinity platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://client-api.salesfinity.co
security:
  - ApiKeyAuth: []
paths:
  /v1/snoozed-contacts/{id}:
    put:
      tags:
        - Snoozed Contacts
      description: Update a snoozed contact
      operationId: update-snoozed-contact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Snoozed contact ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSnoozedContactDTO'
      responses:
        '200':
          description: Snoozed contact updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnoozedContactDTO'
        '404':
          description: Snoozed contact not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateSnoozedContactDTO:
      type: object
      properties:
        linkedin_username:
          type: string
          description: LinkedIn username
        external_contact_id:
          type: string
          description: External CRM contact ID
        email:
          type: string
          description: Email address
        phone_number:
          type: string
          description: Phone number
        snooze_until:
          type: string
          format: date-time
          description: New snooze expiration date
    SnoozedContactDTO:
      type: object
      properties:
        _id:
          type: string
          description: Unique identifier
        team:
          type: string
          description: Team ID
        user:
          $ref: '#/components/schemas/UserDTO'
        contact_list:
          type: string
          description: Contact list ID
        linkedin_username:
          type: string
          description: LinkedIn username
        external_contact_id:
          type: string
          description: External CRM contact ID
        email:
          type: string
          description: Email address
        phone_number:
          type: string
          description: Phone number
        snooze_until:
          type: string
          format: date-time
          description: Snooze expiration date
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - _id
        - team
        - phone_number
        - snooze_until
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    UserDTO:
      type: object
      properties:
        _id:
          type: string
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
      required:
        - _id
        - email
        - first_name
        - last_name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````